<?xml version="1.0" encoding="UTF-8"?>
<web-app xmlns:j2ee="http://java.sun.com/xml/ns/j2ee">
	<servlet>
		<servlet-name>hessionServlet</servlet-name>
		<servlet-class>CoreFS.SA01.CoreHesssianService</servlet-class>
		<load-on-startup>1</load-on-startup>
	</servlet>
	<servlet-mapping>
		<servlet-name>hessionServlet</servlet-name>
		<url-pattern>/hessian.ao</url-pattern>
	</servlet-mapping>

	<servlet>
		<servlet-name>SQL</servlet-name>
		<servlet-class>
			CoreFS.SA08.CoreSqlServlet
		</servlet-class>
		<load-on-startup>2</load-on-startup>
	</servlet>

	<servlet>
		<description>天淮测量点接口</description>
		<display-name>CldInit</display-name>
		<servlet-name>CldInit</servlet-name>
		<servlet-class>com.steering.jobface.cld.CldDataServlet</servlet-class>
		<load-on-startup>15</load-on-startup>
	</servlet>

	<!-- <servlet>
		<description>新计量写旧计量</description>
		<display-name>LimsInit</display-name>
		<servlet-name>LimsInit</servlet-name>
		<servlet-class>com.steering.jobface.lims.LimsDataServlet</servlet-class>
		<load-on-startup>15</load-on-startup>
	</servlet> -->

	<servlet>
		<description>本地计量皮重时效更新</description>
		<display-name>McmsInit</display-name>
		<servlet-name>McmsInit</servlet-name>
		<servlet-class>com.steering.jobface.Mcms.McmsServlet</servlet-class>
		<load-on-startup>14</load-on-startup>
	</servlet>

	<servlet>
		<description>定时获取成品测量点数据采集</description>
		<display-name>MeasureInit</display-name>
		<servlet-name>MeasureInit</servlet-name>
		<servlet-class>com.steering.jobface.mch.CoreRtdMeasurePosDataServlet</servlet-class>
		<load-on-startup>13</load-on-startup>
	</servlet>


	<servlet>
		<description>质量后台程序</description>
		<display-name>QcmTask</display-name>
		<servlet-name>QcmTask</servlet-name>
		<servlet-class>com.steering.jobface.qcm.task.MainTask</servlet-class>
		<load-on-startup>7</load-on-startup>
	</servlet>

	<servlet>
		<description>销售现货合同关闭及监制信息维护后台</description>
		<display-name>Init</display-name>
		<servlet-name>Init</servlet-name>
		<servlet-class>com.steering.jobface.sale.CoreOrderLinePrdcrServlet</servlet-class>
		<load-on-startup>3</load-on-startup>
	</servlet>

	<servlet>
			<description>领导报表后台数据刷新</description>
	        <display-name>StatiscsTask</display-name>
	        <servlet-name>StatiscsTask</servlet-name>
	        <servlet-class>com.steering.jobface.ydm.CoreStatisticsServlet</servlet-class>
	        <load-on-startup>11</load-on-startup>
    </servlet>

    <servlet>
	       	<description>MSC内控标志刷新</description>
	        <display-name>MscTask</display-name>
	        <servlet-name>MscTask</servlet-name>
	        <servlet-class>com.steering.jobface.qcm.CoreMscServlet</servlet-class>
	        <load-on-startup>12</load-on-startup>
    </servlet>

	<servlet>
		<description>同步采集数据</description>
		<display-name>JhyTask</display-name>
		<servlet-name>JhyTask</servlet-name>
		<servlet-class>com.steering.jobface.jhy.Servlet.jhyServlet</servlet-class>
		<load-on-startup>6</load-on-startup>
	</servlet>

	<servlet>
		<description>热处理制度</description>
		<display-name>RclZdTask</display-name>
		<servlet-name>RclZdTask</servlet-name>
		<servlet-class>com.steering.jobface.qcm.SampleHeatTreatmentToQcmServlet</servlet-class>
		<load-on-startup>7</load-on-startup>
	</servlet>
	
	<!--<servlet>
		<description>加工线顺序号修正</description>
		<display-name>ModifyJGXPlanEndTime</display-name>
		<servlet-name>ModifyJGXPlanEndTime</servlet-name>
		<servlet-class>com.steering.jobface.pln.AutomaticModifyJGXPlanEndTime</servlet-class>
		<load-on-startup>8</load-on-startup>
	</servlet> -->

	<!-- <servlet> <description>sem_trust</description> <display-name>sem_trust</display-name> 
		<servlet-name>sem_trust_Servlet</servlet-name> <servlet-class>core.mcms.common.McmsServlet</servlet-class> 
		<load-on-startup>5</load-on-startup> </servlet> -->
	<!-- 配合Spring容器中Hessian一起工作的Servlet -->
	<servlet>
		<servlet-name>remoting</servlet-name>
		<servlet-class>
			org.springframework.web.servlet.DispatcherServlet
		</servlet-class>
		<load-on-startup>1</load-on-startup>
	</servlet>
	<servlet-mapping>
		<servlet-name>remoting</servlet-name>
		<url-pattern>/remoting/*</url-pattern>
	</servlet-mapping>

	<context-param>
		<param-name>contextConfigLocation</param-name>
		<param-value>WEB-INF/beans.xml</param-value>
	</context-param>

	<listener>
		<listener-class>
			org.springframework.web.context.ContextLoaderListener
		</listener-class>
	</listener>

	<servlet>
		<servlet-name>CXFServlet</servlet-name>
		<servlet-class>
			org.apache.cxf.transport.servlet.CXFServlet
		</servlet-class>
		<load-on-startup>1</load-on-startup>
	</servlet>

	<servlet-mapping>
		<servlet-name>CXFServlet</servlet-name>
		<url-pattern>/*</url-pattern>
	</servlet-mapping>



	<resource-ref>
		<res-ref-name>jdbc/CoreFS</res-ref-name>
		<res-type>javax.sql.DataSource</res-type>
		<res-auth>Container</res-auth>
	</resource-ref>
	<welcome-file-list>
		<welcome-file>index.jsp</welcome-file>
	</welcome-file-list>

</web-app>